# Uses of Class
org.italiangrid.voms.error.VOMSValidationErrorMessage

Packages that use VOMSValidationErrorMessage
Package
Description
org.italiangrid.voms.ac
This package provides the APIs to perform validation and parsing of VOMS attributes.
org.italiangrid.voms.error
This package provides error code and message definitions for the VOMS API.

## Uses of VOMSValidationErrorMessage in org.italiangrid.voms.ac

Methods in org.italiangrid.voms.ac that return types with arguments of type VOMSValidationErrorMessage
Modifier and Type
Method
Description
`List<VOMSValidationErrorMessage>`
VOMSValidationResult.`getValidationErrors()`
Constructor parameters in org.italiangrid.voms.ac with type arguments of type VOMSValidationErrorMessage
Modifier
Constructor
Description
``
`VOMSValidationResult(VOMSAttribute attributes, boolean valid, List<VOMSValidationErrorMessage> validationErrors)`
This constructor is used to pass in a list of validation errors as well.

## Uses of VOMSValidationErrorMessage in org.italiangrid.voms.error

Methods in org.italiangrid.voms.error that return VOMSValidationErrorMessage
Modifier and Type
Method
Description
`static VOMSValidationErrorMessage`
VOMSValidationErrorMessage.`newErrorMessage(VOMSValidationErrorCode errorCode)`
`static VOMSValidationErrorMessage`
VOMSValidationErrorMessage.`newErrorMessage(VOMSValidationErrorCode errorCode, Object... params)`